org.apache.solr.security

## Class AuthorizationContext

- java.lang.Object
- - org.apache.solr.security.AuthorizationContext

-     public abstract class AuthorizationContext
      extends Object

  Request context for Solr to be used by Authorization plugin.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthorizationContext.CollectionRequest`
    `static class` | `AuthorizationContext.RequestType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationContext()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<AuthorizationContext.CollectionRequest>` | `getCollectionRequests()`
    `abstract Object` | `getHandler()`
    `abstract Enumeration` | `getHeaderNames()`
    `abstract String` | `getHttpHeader(String header)`
    `abstract String` | `getHttpMethod()`
    `abstract SolrParams` | `getParams()`
    `abstract String` | `getRemoteAddr()`
    `abstract String` | `getRemoteHost()`
    `abstract AuthorizationContext.RequestType` | `getRequestType()`
    `abstract String` | `getResource()`
    `abstract Principal` | `getUserPrincipal()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizationContext

          public AuthorizationContext()

  - ### Method Detail

    - #### getParams

          public abstract SolrParams getParams()

    - #### getUserPrincipal

          public abstract Principal getUserPrincipal()

    - #### getHttpHeader

          public abstract String getHttpHeader(String header)

    - #### getHeaderNames

          public abstract Enumeration getHeaderNames()

    - #### getRemoteAddr

          public abstract String getRemoteAddr()

    - #### getRemoteHost

          public abstract String getRemoteHost()

    - #### getCollectionRequests

          public abstract List<AuthorizationContext.CollectionRequest> getCollectionRequests()

    - #### getRequestType

          public abstract AuthorizationContext.RequestType getRequestType()

    - #### getResource

          public abstract String getResource()

    - #### getHttpMethod

          public abstract String getHttpMethod()

    - #### getHandler

          public abstract Object getHandler()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.